- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# MIkHandleGroup Class Reference

# OpenMayaAnim - API module for animation

Search for all occurrences

## Detailed Description

IK handle groups.

Group class for ik handles. Each group has an associated solver and priority. A single chain solver handle group has only one handle in its group.

Examples:

  simpleSolverNode.cpp.

`#include <MIkHandleGroup.h>`

List of all members.

## Public Member Functions
| MIkHandleGroup ()
| Default constructor.
| ~MIkHandleGroup ()
| The class destructor.
int | priority (MStatus *ReturnStatus=NULL) const
| Return the priority value of this handle group.
int | solverID (MStatus *ReturnStatus=NULL) const
| Return the solver id used by this handle group.
int | solverPriority (MStatus *ReturnStatus=NULL) const
| return the priority of the solver used by this handle group.
MStatus | setPriority (int)
| Set the priority of this handle group.
MStatus | setSolverID (int)
| Set the solver id for this handle group.
bool | checkEffectorAtGoal (MStatus *ReturnStatus=NULL)
| Determines whether the end-effector at the handle(goal) location.
MStatus | solve ()
| Do all ik solving steps for this group.
int | dofCount (MStatus *ReturnStatus=NULL) const
| Return the total number of degrees of freedom of this handle group.
int | handleCount (MStatus *ReturnStatus=NULL) const
| Return the number of handles in the handle list for this group.
MObject | handle (int ith, MStatus *ReturnStatus=NULL)
| Return the ith handle in the handle list for this group.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Friends
class | MPxIkSolver Search for all occurrences
class | MPxIkSolverNode Search for all occurrences

## Constructor & Destructor Documentation

MIkHandleGroup | ( |  | ) |

Default constructor.

The instance is set to contain no groups.

## Member Function Documentation

int priority | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the priority value of this handle group.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The priority

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

int solverID | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the solver id used by this handle group.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The solver id for this group

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

int solverPriority | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

return the priority of the solver used by this handle group.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The solver priority

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

MStatus setPriority | ( | int | priority | ) |

Search for all occurrences

Set the priority of this handle group.

Parameters:

  [in] | priority | the priority value to set

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

MStatus setSolverID | ( | int | id | ) |

Search for all occurrences

Set the solver id for this handle group.

Parameters:

  [in] | id | the id value to set

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

bool checkEffectorAtGoal | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Determines whether the end-effector at the handle(goal) location.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  - true The end-effector is at the goal location
  - false The end-effector is not at the goal location

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

MStatus solve | ( |  | ) |

Search for all occurrences

Do all ik solving steps for this group.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

int dofCount | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the total number of degrees of freedom of this handle group.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The total number of dofs

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

int handleCount | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return the number of handles in the handle list for this group.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The number of handles

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred

MObject handle | ( | int | ith,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Return the ith handle in the handle list for this group.

Parameters:

  [in] | ith | the index of the handle
  [out] | ReturnStatus | Status code

Returns:
  An MObject for the handle

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occurred
  - MS::kInvalidParameter An invalid array index was passed

Examples:
  simpleSolverNode.cpp.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup
MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup MIkHandleGroup